## net.i2p.client.streaming
Class I2PSocketManagerFactory

    java.lang.Object
      net.i2p.client.streaming.I2PSocketManagerFactory

    public class I2PSocketManagerFactory

extends java.lang.Object

Simplify the creation of I2PSession and transient I2P Destination objects if necessary to create a socket manager. This class is most likely how classes will begin their use of the socket library

Field Summary
`static java.lang.String` `DEFAULT_MANAGER`
`static java.lang.String` `PROP_MANAGER`

Constructor Summary
`I2PSocketManagerFactory()`

Method Summary
`static I2PSocketManager` `createManager()` Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).
`static I2PSocketManager` `createManager(java.io.InputStream myPrivateKeyStream)` Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.
`static I2PSocketManager` `createManager(java.io.InputStream myPrivateKeyStream, java.util.Properties opts)` Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.
`static I2PSocketManager` `createManager(java.io.InputStream myPrivateKeyStream, java.lang.String i2cpHost, int i2cpPort, java.util.Properties opts)` Create a socket manager using the destination loaded from the given private key stream and connected to the I2CP router on the specified machine on the given port
`static I2PSocketManager` `createManager(java.util.Properties opts)` Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).
`static I2PSocketManager` `createManager(java.lang.String host, int port)` Create a socket manager using a brand new destination connected to the I2CP router on the specified host and port
`static I2PSocketManager` `createManager(java.lang.String i2cpHost, int i2cpPort, java.util.Properties opts)` Create a socket manager using a brand new destination connected to the I2CP router on the given machine reachable through the given port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_MANAGER

    public static final java.lang.String PROP_MANAGER

See Also:
  Constant Field Values

### DEFAULT_MANAGER

    public static final java.lang.String DEFAULT_MANAGER

See Also:
  Constant Field Values

Constructor Detail

### I2PSocketManagerFactory

    public I2PSocketManagerFactory()

Method Detail

### createManager

    public static I2PSocketManager createManager()

  Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).

  Returns:
    the newly created socket manager, or null if there were errors

### createManager

    public static I2PSocketManager createManager(java.util.Properties opts)

  Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).

  Returns:
    the newly created socket manager, or null if there were errors

### createManager

    public static I2PSocketManager createManager(java.lang.String host,
                                                 int port)

  Create a socket manager using a brand new destination connected to the I2CP router on the specified host and port

  Returns:
    the newly created socket manager, or null if there were errors

### createManager

    public static I2PSocketManager createManager(java.lang.String i2cpHost,
                                                 int i2cpPort,
                                                 java.util.Properties opts)

  Create a socket manager using a brand new destination connected to the I2CP router on the given machine reachable through the given port.

  Returns:
    the newly created socket manager, or null if there were errors

### createManager

    public static I2PSocketManager createManager(java.io.InputStream myPrivateKeyStream)

  Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.

  Returns:
    the newly created socket manager, or null if there were errors

### createManager

    public static I2PSocketManager createManager(java.io.InputStream myPrivateKeyStream,
                                                 java.util.Properties opts)

  Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.

  Returns:
    the newly created socket manager, or null if there were errors

### createManager

    public static I2PSocketManager createManager(java.io.InputStream myPrivateKeyStream,
                                                 java.lang.String i2cpHost,
                                                 int i2cpPort,
                                                 java.util.Properties opts)

  Create a socket manager using the destination loaded from the given private key stream and connected to the I2CP router on the specified machine on the given port

  Returns:
    the newly created socket manager, or null if there were errors